/***************************************************************************
 *cr                                                                       
 *cr            (C) Copyright 1995 The Board of Trustees of the           
 *cr                        University of Illinois                       
 *cr                         All Rights Reserved                        
 *cr                                                                   
 ***************************************************************************/

/***************************************************************************
 * RCS INFORMATION:
 *
 *	$RCSfile: Stack.h,v $
 *	$Author: dalke $	$Locker:  $		$State: Exp $
 *	$Revision: 1.5 $	$Date: 1996/11/12 02:35:41 $
 *
 ***************************************************************************
 * DESCRIPTION:
 *
 * Stack template
 *
 ***************************************************************************/
#ifndef STACK_TEMPLATE_H
#define STACK_TEMPLATE_H


template<class T>
class Stack {

private:
  // list of items, and pointer to current item
  T *data, *curr;

  // number of items, and items currently on stack
  int sz, items;
  
public:
  // constructor/destructor
  Stack(int s);
  ~Stack(void);

  //
  // query status of this class
  //
  
  // return maximum, and current, size of stack
  int max_stack_size(void) { return sz; }
  int stack_size(void) { return items; }
  int num(void) { return items; }

  //
  // routine to manipulate the stack
  //

  // push a new item onto the stack.
  Stack<T>& push(const T&);
  
  // push the stack, making a copy of the top element
  Stack<T>& push(void);
  
  // pop the stack
  T& pop(void);
  
  // return reference to top item, but do not pop the stack
  T& top(void);

};

// needed for gcc to get the template definitions (no repository?)
#ifdef __GNUG__
#include "Stack.c"
#endif

#endif

